## linux-backports-modules-2.6.24 2.6.24-16.14

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_IWLWIFI)       += wireless/iwlwifi/
obj-$(CONFIG_RT2X00)        += wireless/rt2x00/
