=== updates/wireless/rt2x00/rt2x00/Makefile ===
include $(src)/../config

rt2x00lib-y				+= rt2x00dev.o
rt2x00lib-y				+= rt2x00mac.o
rt2x00lib-y				+= rt2x00config.o
rt2x00lib-y				+= rt2x00queue.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_DEBUGFS)	+= rt2x00debug.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_RFKILL)	+= rt2x00rfkill.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_FIRMWARE)	+= rt2x00firmware.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_LEDS)	+= rt2x00leds.o

obj-$(LBM_CONFIG_RT2X00_LIB)		+= rt2x00lib.o
obj-$(LBM_CONFIG_RT2X00_LIB_PCI)		+= rt2x00pci.o
obj-$(LBM_CONFIG_RT2X00_LIB_USB)		+= rt2x00usb.o
obj-$(LBM_CONFIG_RT2400PCI)			+= rt2400pci.o
obj-$(LBM_CONFIG_RT2500PCI)			+= rt2500pci.o
obj-$(LBM_CONFIG_RT61PCI)			+= rt61pci.o
obj-$(LBM_CONFIG_RT2500USB)			+= rt2500usb.o
obj-$(LBM_CONFIG_RT73USB)			+= rt73usb.o
