=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-16.14) hardy; urgency=low

  [Stefan Bader]

  * Added rt2x00 driver from serialmonkey.org
    - LP: #134660

  [Tim Gardner]

  * Bump ABI to 16.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Apr 2008 11:10:39 +0300

linux-backports-modules-2.6.24 (2.6.24-15.13) hardy; urgency=low

  [Tim Gardner]

  * ifdef iwlwifi encryption debug noise
    - LP: #191388

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 07 Apr 2008 09:41:15 -0600

linux-backports-modules-2.6.24 (2.6.24-15.12) hardy; urgency=low

  * Bump ABI to 15

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 11:01:29 -0600

linux-backports-modules-2.6.24 (2.6.24-14.11) hardy; urgency=low

  [Ben Collins]

  * iwlwifi: Update to iwlwifi-1.2.25 and mac80211-10.0.4
    - LP: #200950
  * ubuntu: Slight cleanups to module hiearchy and Makefiles
  * mac80211: Enable LED triggers
  * iwlwifi: Add LED trigger support (rx and tx only)
    - LP: #176090

 --  <tim.gardner@canonical.com>  Wed, 02 Apr 2008 06:59:04 -0600

linux-backports-modules-2.6.24 (2.6.24-13.10) hardy; urgency=low

  * Bump ABI to 13

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 28 Mar 2008 10:36:54 -0600

linux-backports-modules-2.6.24 (2.6.24-12.9) hardy; urgency=low

  * Bump ABI to 12

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 08 Mar 2008 12:56:13 -0500

linux-backports-modules-2.6.24 (2.6.24-11.8) hardy; urgency=low

  *  Kernel ABI bump to (-11).

 --  <tim.gardner@canonical.com>  Fri, 29 Feb 2008 07:29:53 -0700

linux-backports-modules-2.6.24 (2.6.24-10.7) hardy; urgency=low

  * Kernel ABI bump to (-10). (-9) was never released.

 --  <tim.gardner@canonical.com>  Sun, 17 Feb 2008 21:54:00 -0700

linux-backports-modules-2.6.24 (2.6.24-8.6) hardy; urgency=low

  * Kernel ABI bump to (-8).

 --  <tim.gardner@canonical.com>  Mon, 11 Feb 2008 16:34:15 -0700

linux-backports-modules-2.6.24 (2.6.24-7.5) hardy; urgency=low

  [Tim Gardner]

  * Moved ALSA to lum
  * Kernel ABI bump to (-7). Skipped (-6) because of FTBS.

 --  <tim.gardner@canonical.com>  Mon, 28 Jan 2008 09:08:16 -0700

linux-backports-modules-2.6.24 (2.6.24-5.4) hardy; urgency=low

  [Tim Gardner]

  * Kernel ABI bump to -5.
  * ALSA 1.0.16-rc1

 --  <tim.gardner@canonical.com>  Thu, 17 Jan 2008 11:41:41 -0700

linux-backports-modules-2.6.24 (2.6.24-4.3) hardy; urgency=low

  * Kernel ABI bump to -4.
  * UBUNTU: Enable rt build for i386/amd64

 --  <tim.gardner@canonical.com>  Tue, 08 Jan 2008 20:06:47 -0700

linux-backports-modules-2.6.24 (2.6.24-3.2) hardy; urgency=low

  * Kernel ABI bump to -3.

 --  <tim.gardner@canonical.com>  Wed, 02 Jan 2008 13:19:54 -0700

linux-backports-modules-2.6.24 (2.6.24-2.1) hardy; urgency=low

  * Initial git repository.

 --  <tim.gardner@canonical.com>  Fri, 30 Nov 2007 07:56:58 -0700
