## linux-backports-modules-2.6.24 2.6.24-19.17

=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-19.17) hardy-proposed; urgency=low

  * ABI bump to -19

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 14:03:45 -0600

linux-backports-modules-2.6.24 (2.6.24-18.16) hardy-security; urgency=low

  * security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 08:12:24 -0600

linux-backports-modules-2.6.24 (2.6.24-17.15) hardy-proposed; urgency=low

  [Stefan Bader]

  * Improve documentation in rt2x00.
  * Update configuration files to enable rt2x00 for i386, ia64 and amd64.

  [Tim Gardner]

  * Bump ABI to 17.

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Apr 2008 09:13:36 -0600
